HIP: Heterogenous-computing Interface for Portability: Texture Management

HIP: Heterogenous-computing Interface for Portability

Modules | Functions
Texture Management
HIP API

This section describes the texture management functions of HIP runtime API. More...

Collaboration diagram for Texture Management:

## Modules
| Texture Management [Deprecated]
| Texture Management [Not supported]

## Functions
hipError_t | hipBindTextureToMipmappedArray (const textureReference *tex, hipMipmappedArray_const_t mipmappedArray, const hipChannelFormatDesc *desc)
| Binds a mipmapped array to a texture. More...
hipError_t | hipGetTextureReference (const textureReference **texref, const void *symbol)
| Gets the texture reference related with the symbol. More...
hipError_t | hipCreateTextureObject (hipTextureObject_t *pTexObject, const hipResourceDesc *pResDesc, const hipTextureDesc *pTexDesc, const struct hipResourceViewDesc *pResViewDesc)
| Creates a texture object. More...
hipError_t | hipDestroyTextureObject (hipTextureObject_t textureObject)
| Destroys a texture object. More...
hipError_t | hipGetChannelDesc (hipChannelFormatDesc *desc, hipArray_const_t array)
| Gets the channel descriptor in an array. More...
hipError_t | hipGetTextureObjectResourceDesc (hipResourceDesc *pResDesc, hipTextureObject_t textureObject)
| Gets resource descriptor for the texture object. More...
hipError_t | hipGetTextureObjectResourceViewDesc (struct hipResourceViewDesc *pResViewDesc, hipTextureObject_t textureObject)
| Gets resource view descriptor for the texture object. More...
hipError_t | hipGetTextureObjectTextureDesc (hipTextureDesc *pTexDesc, hipTextureObject_t textureObject)
| Gets texture descriptor for the texture object. More...
hipError_t | hipTexRefSetAddressMode (textureReference *texRef, int dim, enum hipTextureAddressMode am)
hipError_t | hipTexRefSetArray (textureReference *tex, hipArray_const_t array, unsigned int flags)
hipError_t | hipTexRefSetFilterMode (textureReference *texRef, enum hipTextureFilterMode fm)
hipError_t | hipTexRefSetFlags (textureReference *texRef, unsigned int Flags)
hipError_t | hipTexRefSetFormat (textureReference *texRef, hipArray_Format fmt, int NumPackedComponents)
hipError_t | hipTexObjectCreate (hipTextureObject_t *pTexObject, const HIP_RESOURCE_DESC *pResDesc, const HIP_TEXTURE_DESC *pTexDesc, const HIP_RESOURCE_VIEW_DESC *pResViewDesc)
hipError_t | hipTexObjectDestroy (hipTextureObject_t texObject)
hipError_t | hipTexObjectGetResourceDesc (HIP_RESOURCE_DESC *pResDesc, hipTextureObject_t texObject)
hipError_t | hipTexObjectGetResourceViewDesc (HIP_RESOURCE_VIEW_DESC *pResViewDesc, hipTextureObject_t texObject)
hipError_t | hipTexObjectGetTextureDesc (HIP_TEXTURE_DESC *pTexDesc, hipTextureObject_t texObject)

## Detailed Description

This section describes the texture management functions of HIP runtime API.

## Function Documentation

## ◆ hipBindTextureToMipmappedArray()

hipError_t hipBindTextureToMipmappedArray | ( | const textureReference * | tex,
|  | hipMipmappedArray_const_t | mipmappedArray,
|  | const hipChannelFormatDesc * | desc
| ) |  |

Binds a mipmapped array to a texture.

Parameters

  [in] | tex | pointer to the texture reference to bind
  [in] | mipmappedArray | memory mipmapped array on the device
  [in] | desc | opointer to the channel format

Returns
  hipSuccess, hipErrorInvalidValue

## ◆ hipCreateTextureObject()

hipError_t hipCreateTextureObject | ( | hipTextureObject_t * | pTexObject,
|  | const hipResourceDesc * | pResDesc,
|  | const hipTextureDesc * | pTexDesc,
|  | const struct hipResourceViewDesc * | pResViewDesc
| ) |  |

Creates a texture object.

Parameters

  [out] | pTexObject | pointer to the texture object to create
  [in] | pResDesc | pointer to resource descriptor
  [in] | pTexDesc | pointer to texture descriptor
  [in] | pResViewDesc | pointer to resource view descriptor

Returns
  hipSuccess, hipErrorInvalidValue

## ◆ hipDestroyTextureObject()

hipError_t hipDestroyTextureObject | ( | hipTextureObject_t | textureObject | ) |

Destroys a texture object.

Parameters

  [in] | textureObject | texture object to destroy

Returns
  hipSuccess, hipErrorInvalidValue

## ◆ hipGetChannelDesc()

hipError_t hipGetChannelDesc | ( | hipChannelFormatDesc * | desc,
|  | hipArray_const_t | array
| ) |  |

Gets the channel descriptor in an array.

Parameters

  [in] | desc | pointer to channel format descriptor
  [out] | array | memory array on the device

Returns
  hipSuccess, hipErrorInvalidValue

## ◆ hipGetTextureObjectResourceDesc()

hipError_t hipGetTextureObjectResourceDesc | ( | hipResourceDesc * | pResDesc,
|  | hipTextureObject_t | textureObject
| ) |  |

Gets resource descriptor for the texture object.

Parameters

  [out] | pResDesc | pointer to resource descriptor
  [in] | textureObject | texture object

Returns
  hipSuccess, hipErrorInvalidValue

## ◆ hipGetTextureObjectResourceViewDesc()

hipError_t hipGetTextureObjectResourceViewDesc | ( | struct hipResourceViewDesc * | pResViewDesc,
|  | hipTextureObject_t | textureObject
| ) |  |

Gets resource view descriptor for the texture object.

Parameters

  [out] | pResViewDesc | pointer to resource view descriptor
  [in] | textureObject | texture object

Returns
  hipSuccess, hipErrorInvalidValue

## ◆ hipGetTextureObjectTextureDesc()

hipError_t hipGetTextureObjectTextureDesc | ( | hipTextureDesc * | pTexDesc,
|  | hipTextureObject_t | textureObject
| ) |  |

Gets texture descriptor for the texture object.

Parameters

  [out] | pTexDesc | pointer to texture descriptor
  [in] | textureObject | texture object

Returns
  hipSuccess, hipErrorInvalidValue

## ◆ hipGetTextureReference()

hipError_t hipGetTextureReference | ( | const textureReference ** | texref,
|  | const void * | symbol
| ) |  |

Gets the texture reference related with the symbol.

Parameters

  [out] | texref | texture reference
  [in] | symbol | pointer to the symbol related with the texture for the reference

Returns
  hipSuccess, hipErrorInvalidValue